Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PollableSet Class Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA::PollableSet:

[legend]
Collaboration diagram for CORBA::PollableSet:

[legend]
List of all members.

## Public Types
typedef PollableSet_ptr | _ptr_type
typedef PollableSet_var | _var_type
## Public Methods
virtual::CORBA::DIIPollable_ptr | create_dii_pollable (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | add_pollable (CORBA::Pollable_ptr potential ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::CORBA::Pollable_ptr | poll (CORBA::ULong timeout ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , CORBA::PollableSet::NoPossiblePollable )
virtual void | remove (CORBA::Pollable_ptr potential ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , CORBA::PollableSet::UnknownPollable )
virtual CORBA::UShort | number_left (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
| Allows us to forbid marshaling of local interfaces.
## Static Public Methods
PollableSet_ptr | _duplicate (PollableSet_ptr obj)
PollableSet_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| No-op it is just here to simplify some templates.
PollableSet_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PollableSet_ptr | _nil (void)
| Return a NULL object.
## Protected Methods
| PollableSet (void)
virtual | ~PollableSet (void)
## Private Methods
| PollableSet (const PollableSet &)
void | operator= (const PollableSet &)

## Member Typedef Documentation

typedef PollableSet_ptr CORBA::PollableSet::_ptr_type

| Reimplemented from CORBA::Object.

typedef PollableSet_var CORBA::PollableSet::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

CORBA::PollableSet::PollableSet | ( | void |  | ) | `[protected]`

CORBA::PollableSet::~PollableSet | ( | void |  | ) | `[protected, virtual]`

CORBA::PollableSet::PollableSet | ( | const PollableSet & |  | ) | `[private]`

## Member Function Documentation

CORBA::PollableSet_ptr CORBA::PollableSet::_duplicate | ( | PollableSet_ptr | obj | ) | `[static]`

const char * CORBA::PollableSet::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA::Object.

virtual CORBA::Boolean CORBA::PollableSet::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

PollableSet_ptr CORBA::PollableSet::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| No-op it is just here to simplify some templates. Reimplemented from CORBA::Object.

PollableSet_ptr CORBA::PollableSet::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA::Object.

PollableSet_ptr CORBA::PollableSet::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual void CORBA::PollableSet::add_pollable | ( | CORBA::Pollable_ptr potential | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual ::CORBA::DIIPollable_ptr CORBA::PollableSet::create_dii_pollable | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

CORBA::Boolean CORBA::PollableSet::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Allows us to forbid marshaling of local interfaces. Reimplemented from CORBA::Object.

virtual CORBA::UShort CORBA::PollableSet::number_left | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

void CORBA::PollableSet::operator= | ( | const PollableSet & |  | ) | `[private]`

virtual ::CORBA::Pollable_ptr CORBA::PollableSet::poll | ( | CORBA::ULong timeout | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , CORBA::PollableSet::NoPossiblePollable )`[pure virtual]`

virtual void CORBA::PollableSet::remove | ( | CORBA::Pollable_ptr potential | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , CORBA::PollableSet::UnknownPollable )`[pure virtual]`

The documentation for this class was generated from the following files:

- PollableC.h
- PollableC.cpp